statistics-0.10.2.0: A library of statistical types, data, and functions

Safe Haskell | Safe-Infered

Statistics.Test.Types

Synopsis

- data TestType
  - = OneTailed
  - | TwoTailed
- data TestResult
  - = Significant
  - | NotSignificant
- significant :: Bool -> TestResult

# Documentation

data TestType

Test type. Exact meaning depends on a specific test. But generally it's tested whether some statistics is too big (small) for `OneTailed` or whether it too big or too small for `TwoTailed`

Constructors

OneTailed |
TwoTailed |

Instances

Eq TestType |
Ord TestType |
Show TestType |
Typeable TestType |

data TestResult

Result of hypothesis testing

Constructors

Significant | Null hypothesis should be rejected
NotSignificant | Data is compatible with hypothesis

Instances

Eq TestResult |
Ord TestResult |
Show TestResult |
Typeable TestResult |

significant :: Bool -> TestResult

Significant if parameter is `True`, not significant otherwiser